﻿using BlogPost1.Data;
using Localization.Resources;
namespace BlogPost1.Models;
public enum LanguageEnum { English, Italian, French, German }
public class Language
{
    public Language(LanguageEnum languageEnum)
    {
        this.LanguageEnum = languageEnum;

    }
    public LanguageEnum LanguageEnum { get; set; }
    public virtual string LanguageName
    {
        get
        {
            switch (LanguageEnum)
            {
                case LanguageEnum.English:
                    return AppResources.English;
                case LanguageEnum.French:
                    return AppResources.French;
                case LanguageEnum.Italian:
                    return AppResources.Italian;
                default:
                    return LanguageEnum.ToString();
            }
        }
    }
}